edu.sc.seis.sod

## Class Standing

- java.lang.Object
- - edu.sc.seis.sod.Standing

- All Implemented Interfaces:
    java.io.Serializable

      public class Standing
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Standing[]` | `ALL`
    `static Standing` | `CORBA_FAILURE`
    `static Standing` | `IN_PROG`
    `static Standing` | `INIT`
    `static Standing` | `REJECT`
    `static Standing` | `RETRY`
    `static Standing` | `SUCCESS`
    `static Standing` | `SYSTEM_FAILURE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Standing` | `getForName(java.lang.String name)`
    `static Standing` | `getFromInt(int val)`
    `int` | `getVal()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INIT

          public static final Standing INIT

    - #### IN_PROG

          public static final Standing IN_PROG

    - #### REJECT

          public static final Standing REJECT

    - #### RETRY

          public static final Standing RETRY

    - #### CORBA_FAILURE

          public static final Standing CORBA_FAILURE

    - #### SYSTEM_FAILURE

          public static final Standing SYSTEM_FAILURE

    - #### SUCCESS

          public static final Standing SUCCESS

    - #### ALL

          public static final Standing[] ALL

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVal

          public int getVal()

    - #### getFromInt

          public static Standing getFromInt(int val)

    - #### getForName

          public static Standing getForName(java.lang.String name)
                                     throws java.lang.NoSuchFieldException

      Throws:
        `java.lang.NoSuchFieldException`